irrst.h File Reference

IRRST service. More...

`#include "3ds/services/hid.h"`

Go to the source code of this file.

## Macros

#define | hidCstickRead irrstCstickRead
| Macro for irrstCstickRead.

## Functions

Result | irrstInit (void)
| Initializes IRRST.
void | irrstExit (void)
| Exits IRRST.
void | irrstScanInput (void)
| Scans IRRST for input.
u32 | irrstKeysHeld (void)
| Gets IRRST's held keys. More...
void | irrstCstickRead (circlePosition *pos)
| Reads the current c-stick position. More...
void | irrstWaitForEvent (bool nextEvent)
| Waits for the IRRST input event to trigger. More...
Result | IRRST_GetHandles (Handle *outMemHandle, Handle *outEventHandle)
| Gets the shared memory and event handles for IRRST. More...
Result | IRRST_Initialize (u32 unk1, u8 unk2)
| Initializes IRRST. More...
Result | IRRST_Shutdown (void)
| Shuts down IRRST.

## Variables

Handle | irrstMemHandle
| IRRST's shared memory handle.
vu32 * | irrstSharedMem
| IRRST's shared memory.
Handle | irrstEvent
| IRRST's state update event.

## Detailed Description

IRRST service.

## Function Documentation

## IRRST_GetHandles()

Result IRRST_GetHandles | ( | Handle * | outMemHandle,
|  | Handle * | outEventHandle
| ) |  |

Gets the shared memory and event handles for IRRST.

Parameters

  outMemHandle | Pointer to write the shared memory handle to.
  outEventHandle | Pointer to write the event handle to.

## IRRST_Initialize()

Result IRRST_Initialize | ( | u32 | unk1,
|  | u8 | unk2
| ) |  |

Initializes IRRST.

Parameters

  unk1 | Unknown.
  unk2 | Unknown.

## irrstCstickRead()

void irrstCstickRead | ( | circlePosition * | pos | ) |

Reads the current c-stick position.

Parameters

  pos | Pointer to output the current c-stick position to.

## irrstKeysHeld()

u32 irrstKeysHeld | ( | void |  | ) |

Gets IRRST's held keys.

Returns
  IRRST's held keys.

## irrstWaitForEvent()

void irrstWaitForEvent | ( | bool | nextEvent | ) |

Waits for the IRRST input event to trigger.

Parameters

  nextEvent | Whether to discard the current event and wait until the next event.